Context Functions {pbdZMQ} | R Documentation

## Context Functions

### Description

Context functions

### Usage

    zmq.ctx.new()

    zmq.ctx.destroy(ctx)

### Arguments

`ctx` | a ZMQ context

### Details

`zmq.ctx.new()` initializes a ZMQ context for starting communication.

`zmq.ctx.destroy()` terminates the context for stopping communication.

### Value

`zmq.ctx.new()` returns an R external pointer (`ctx`) generated by ZMQ C API pointing to a context if successful, otherwise returns an R `NULL`.

`zmq.ctx.destroy()` returns 0 if successful, otherwise returns -1 and sets `errno` to either `EFAULT` or `EINTR`.

### Author(s)

Wei-Chen Chen wccsnow@gmail.com.

### References

ZeroMQ/4.1.0 API Reference: http://api.zeromq.org/4-1:_start

Programming with Big Data in R Website: http://r-pbd.org/

### See Also

`zmq.socket()`, `zmq.close()`, `zmq.bind()`, `zmq.connect()`.

### Examples

    ## Not run:
    library(pbdZMQ, quietly = TRUE)

    context <- zmq.ctx.new()
    zmq.ctx.destroy(context)

    ## End(Not run)

[Package pbdZMQ version 0.2-4 Index]